# Manual del usuario de meinproc6

2014-05-08
Frameworks 5.0
KDE Frameworks

meinproc6
1

# `meinproc6`

Traductor de &XML; para &kde;

## Resumen

    meinproc6 -h, --help -v, --version --cache archivo --check --srcdir directorio --param clave=valor   -o --output   archivo  --stdout --stylesheet xsl docbook_file

## Descripción

`meinproc6` convierte archivos DocBook a &HTML;.

## Opciones genéricas

`-h``--help`

  Muestra ayuda sobre las opciones.

`-v``--version`

  Muestra información de la versión.

## Opciones de la aplicación

`--cache` `file`

  Crea un archivo de caché para el documento.

`--check`

  Comprueba la validez de la documentación.

      La salida puede ser un poco desalentadora, ya que una pequeña equivocación puede causar una cascada de errores.
      El truco consiste en buscar el primer error, corregirlo, guardar el archivo y ejecutar meinproc6 de nuevo.

`-o`, `--output` `file`

  Vuelca el documento completo a `file`.

`--stdout`

  Vuelca el documento completo a stdout.

`--stylesheet` `xsl`

  Hoja de estilos a usar.

`--srcdir` `dir`

  Ajusta el directorio raíz para la búsqueda de kdoctools.

`--param` key=value

  Ajusta los parámetros que se pasan a la hoja de estilo.

## Utilización

El modo mas habitual de ejecutar `meinproc6` es sencillamente como

    meinproc6 docbook-file

donde docbook-file es, generalmente index.docbook. Esta orden genera páginas &HTML; a partir del archivo DocBook. Estas páginas solo son visibles en navegadores basados en &kde; (como &konqueror;).

Si necesita ver la salida &HTML; en otro navegador (por ejemplo, si la está haciendo disponible con conexión), use

    meinproc6 --stylesheet stylesheet-name docbook-file

donde stylesheet-name es la ruta completa a una de las hojas de estilo &XSL; en <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. Para generar salida adecuada para la web, puede emplear `kde-web.xsl` o `kde-chunk-online.xsl`. Consulte el archivo `README` situado en este directorio para obtener más información.

## Vea también

kf6options(7), qt6options(7)

## Fallos

Use el sistema de seguimiento de fallos de &kde; para informar de fallos.